This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 663530 - Cyrillic letters differ in color in console
Cyrillic letters differ in color in console
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
14
i686 Linux
low Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-15 23:26 EST by Hidden
Modified: 2012-08-16 18:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hidden 2010-12-15 23:26:12 EST
User-Agent:       Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1) ; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; .NET CLR 1.1.4322)

The russian (cyrillic) letters in console are very brighter then symbols or latin ones.

Reproducible: Always

Steps to Reproduce:
1. setup system locale to cyrillic one (e.g. ru_RU.UTF-8)
2. after console font being setup on boot, put some color text on the screen like ls or syntax-colored text in editor (containing text in cyrillic script).
Actual Results:  
The cyrillic letters are brighter (like snow-white v.s. silver-gray) then punctuation and latins in text supposed to have same color.

Expected Results:  
The letters obviously of same "color" and bright.
Comment 1 Vitezslav Crhonek 2010-12-20 10:24:04 EST
I'm not able to reproduce the problem.

1.
[root@norcus etc]# cat /etc/sysconfig/i18n
LANG="ru_RU.UTF-8"

2.
Reboot, login as user in the text console.
 
3.
Cyrillic letters in colorized ls output (e. g. month abbreviations in long listing format) are displayed in same color and brightness as latin letters.

Am I missing something?
Comment 2 Hidden 2010-12-20 18:40:49 EST
I can reproduce both on my system and live CD.

And I mean real console, not framebuffer emulation.
Comment 3 Fedora End Of Life 2012-08-16 18:22:58 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.